@page "/login"
@inject ILogger<Login> Logger
@inject NavigationManager NavigationManager
@inject LoginService loginService
@inject AuthenticationStateProvider authStateProvider

<div class="login-container">
    <h1>Login</h1>
    <EditForm Model="@loginModel" OnValidSubmit="HandleLogin">
        <div class="form-group">
            <label for="username">Username:</label>
            <InputText id="username" class="form-control" @bind-Value="loginModel.Username" />
        </div>
        <div class="form-group">
            <label for="password">Password:</label>
            <InputText id="password" class="form-control" @bind-Value="loginModel.Password" type="password" />
        </div>
        <button type="submit" class="btn btn-primary">Login</button>
    </EditForm>
</div>

@code {
    private LoginModel loginModel = new LoginModel();

    private async void HandleLogin()
    {
        var user = await loginService.AuthenticateUser(loginModel.Username, loginModel.Password);
        if (user != null)
        {
             var userClaim = await ((CustomAuthenticationStateProvider)authStateProvider).MarkUserAsAuthenticated(user);
               NavigationManager.NavigateTo("/");

         }
         else
         {
             System.Console.WriteLine("Invalid username or password");
         }
    }

    private class LoginModel
    {
        public string Username { get; set; } = "";
        public string Password { get; set; } = "";
    }
}
